# UI\Draw\Stroke::__construct

(PHP 7, UI 0.9.9)

UI\Draw\Stroke::__construct — Construct a new Stroke

### Description

public UI\Draw\Stroke::__construct ([ int `$cap` = UI\Draw\Line\Cap::Flat [, int `$join` = UI\Draw\Line\Join::Miter [, float `$thickness` = 1 [, float `$miterLimit` = 10 ]]]] )

Shall construct a new Stroke

### Parameters

`cap`

  UI\Draw\Line\Cap::Flat, UI\Draw\Line\Cap::Round, or UI\Draw\Line\Cap::Square

`join`

  UI\Draw\Line\Join::Miter, UI\Draw\Line\Join::Round, or UI\Draw\Line\Join::Bevel

`thickness`

  The thickness of the stroke

`miterLimit`

  Miter limit (default is sensible for all supported platforms)